Bug 1452589 - Review our frequency scaling setup/tuning
Summary: Review our frequency scaling setup/tuning
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel-rt
Version: 7.4
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Daniel Bristot de Oliveira
QA Contact: Jiri Kastner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1420851 1442258
TreeView+ depends on / blocked
 
Reported: 2017-05-19 09:33 UTC by Daniel Bristot de Oliveira
Modified: 2018-04-10 09:09 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-04-10 09:07:09 UTC


Attachments (Terms of Use)
system running with kernel 3.10.0-514.el7 (16.31 MB, application/x-xz)
2017-06-15 13:06 UTC, Sebastien Aime
no flags Details
sosreport running with kernel 3.10.0-514.rt56.420.el7.x86_64 (16.29 MB, application/x-xz)
2017-06-15 13:23 UTC, Sebastien Aime
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0676 None None None 2018-04-10 09:09 UTC

Description Daniel Bristot de Oliveira 2017-05-19 09:33:06 UTC
Description of problem:

Our current approach is to tell the customer to disable frequency scaling on BIOS. However, sometimes the kernel bypass BIOS setup, enabling frequency scaling. This happened in a specific hardware on BNP.

It would be nice to have a default setup that guarantees the optimal config on frequency scaling, even in the case of non-tuned BIOS.

I do not know if it is better to do it via kernel config or via a tuning setup, for example, via tuned, but it is something it is nice to review/set/document.

Comment 2 Prarit Bhargava 2017-05-22 13:22:11 UTC
(In reply to Daniel Bristot de Oliveira from comment #0)
> Description of problem:
> 
> Our current approach is to tell the customer to disable frequency scaling on
> BIOS. However, sometimes the kernel bypass BIOS setup, enabling frequency
> scaling. This happened in a specific hardware on BNP.
> 
> It would be nice to have a default setup that guarantees the optimal config
> on frequency scaling, even in the case of non-tuned BIOS.
> 
> I do not know if it is better to do it via kernel config or via a tuning
> setup, for example, via tuned, but it is something it is nice to
> review/set/document.

daolivei -- can you give me more details on this?  What system, what setup, etc?

P.

Comment 3 Sebastien Aime 2017-06-15 13:06 UTC
Created attachment 1288060 [details]
system running with kernel 3.10.0-514.el7

Comment 4 Sebastien Aime 2017-06-15 13:23 UTC
Created attachment 1288061 [details]
sosreport running with kernel 3.10.0-514.rt56.420.el7.x86_64

Comment 5 Daniel Bristot de Oliveira 2017-07-19 14:20:15 UTC
Hi Prarit,

This is more about a generic review of our configuration than a problem of a processor.

-- Daniel

Comment 8 Daniel Bristot de Oliveira 2017-11-09 08:28:49 UTC
Hi

After reviewing the config setup, I saw that the problem was the default frequency scaling governor that was set to:

CONFIG_CPU_FREQ_DEFAULT_GOV_ONDEMAND=y

and should be:

CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE=y

This change was done in the kernel and the config is now correct.

Comment 9 Daniel Bristot de Oliveira 2017-11-09 16:06:25 UTC
A suggestion of doc text:

The real-time kernel is configured to deliver the best on performance and determinism. It means that between power saving and performance, the latter is the choice.
In the effort to make RHEL-RT configuration as much compatible with RHEL config, the default CPU frequency scaling governor was set to be the same of RHEL (ONDEMAND) which is not the best option for the RT case.
This BZ fixes the problem by setting the PERFORMANCE as the default cpu frequency scaling governor.

Comment 15 errata-xmlrpc 2018-04-10 09:07:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0676


Note You need to log in before you can comment on or make changes to this bug.